curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/customers/{customerId} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"guest": true,
"createdAt": "2023-11-07T05:31:56Z",
"billingAddresses": [
{
"id": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
],
"totalSpent": 123,
"orderCount": 123,
"refundCount": 123,
"totalRefunded": 123,
"recentOrders": [
{
"id": "<string>",
"orderNumber": "<string>",
"amount": 123,
"currency": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}curl --request GET \
--url https://api.pandabase.io/v2/core/stores/{storeId}/customers/{customerId} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"guest": true,
"createdAt": "2023-11-07T05:31:56Z",
"billingAddresses": [
{
"id": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
],
"totalSpent": 123,
"orderCount": 123,
"refundCount": 123,
"totalRefunded": 123,
"recentOrders": [
{
"id": "<string>",
"orderNumber": "<string>",
"amount": 123,
"currency": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48Customer ID (cus_ prefix)
12 - 48